Create a new datapoint
curl --request POST \
--url https://api.honeyhive.ai/v1/datapoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": {},
"history": [],
"ground_truth": {},
"metadata": {},
"linked_event": "<string>",
"linked_datasets": []
}
'import requests
url = "https://api.honeyhive.ai/v1/datapoints"
payload = {
"inputs": {},
"history": [],
"ground_truth": {},
"metadata": {},
"linked_event": "<string>",
"linked_datasets": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: {},
history: [],
ground_truth: {},
metadata: {},
linked_event: '<string>',
linked_datasets: []
})
};
fetch('https://api.honeyhive.ai/v1/datapoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inserted": true,
"result": {
"insertedIds": [
"<string>"
]
}
}Datapoints
Create a new datapoint
Create a single datapoint with inputs, history, ground truth, and metadata.
POST
/
v1
/
datapoints
Create a new datapoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I

